> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve order shipments

> Retrieve order shipments



## OpenAPI

````yaml https://openapi.commercengine.io/ce-pos.json get /pos/orders/{order_number}/shipments
openapi: 3.1.0
info:
  title: CE POS APIs
  description: >-
    The consolidated Point of Sale surface. Every operation is served under the
    storefront base URL; operations tagged POSAdmin are proxied to the admin
    service by the POS backend.
  version: '1.0'
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security:
  - Authorization: []
tags:
  - name: POS
    description: Operations backed by the storefront service
  - name: POSAdmin
    description: Operations proxied to the admin service
paths:
  /pos/orders/{order_number}/shipments:
    get:
      tags:
        - POSAdmin
      summary: Retrieve order shipments
      description: Retrieve order shipments
      operationId: pos-list-order-shipments
      parameters:
        - name: order_number
          in: path
          description: order number
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      shipment:
                        $ref: '#/components/schemas/OrderShipmentDetail'
                    type: object
      security:
        - Authorization: []
components:
  schemas:
    OrderShipmentDetail:
      title: OrderShipmentDetail
      type: object
      required:
        - order_number
        - order_date
        - order_status
        - sales_channel
        - payment_status
        - customer_name
        - shipments
        - allowed_actions
      properties:
        order_number:
          type: string
        order_date:
          type: string
          format: date-time
        order_status:
          type: string
        sales_channel:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            type:
              type: string
          required:
            - id
            - name
            - type
        payment_status:
          $ref: '#/components/schemas/PaymentStatus'
        customer_name:
          type: string
        customer_id:
          type: string
        sales_channel_type:
          description: Type of the sales channel, repeated flat alongside `sales_channel`.
          type: string
        sub_total:
          type: number
          format: double
        total_tax:
          type: number
          format: double
        shipping_amount:
          type: number
          format: double
        grand_total:
          type: number
          format: double
        coupon_code:
          type:
            - string
            - 'null'
        coupon_discount_amount:
          type: number
          format: double
        coupon_discount_percent:
          type:
            - number
            - 'null'
          format: double
        shipments:
          type: array
          items:
            $ref: '#/components/schemas/Shipment'
        allowed_actions:
          type: array
          items:
            $ref: '#/components/schemas/InventoryAction'
    PaymentStatus:
      title: PaymentStatus
      enum:
        - pending
        - success
        - failed
        - partially_paid
        - refund_initiated
        - refunded
        - unsettled
        - settled
        - partially_settled
        - debit_scheduled
        - collection_due
    Shipment:
      title: Shipment
      allOf:
        - $ref: '#/components/schemas/ShipmentInfo'
        - type: object
          properties:
            shipment_items:
              type: array
              items:
                $ref: '#/components/schemas/AdminShipmentItem'
        - type: object
          properties:
            packing:
              type: array
              items:
                $ref: '#/components/schemas/ShipmentPackaging'
        - type: object
          properties:
            progression:
              type: array
              items:
                $ref: '#/components/schemas/ShipmentProgression'
      x-tags:
        - Shipping
    InventoryAction:
      title: InventoryAction
      enum:
        - create-shipment
        - refund-shortfall
        - wait-for-inventory
        - cancel-shipment
        - cancel-and-refund-shipment
        - reject-order
    ShipmentInfo:
      title: ShipmentInfo
      type: object
      required:
        - order_number
        - order_status
        - shipment_number
        - warehouse_id
        - warehouse_name
        - status
        - total_weight
        - total_boxes
        - shipment_items_count
        - shipping_estimated_cost
        - shipping_discount_amount
        - shipping_amount
        - shipping_tax_rate
        - shipping_tax_amount
        - shipping_amount_including_tax
        - shipping_provider_id
        - shipping_provider_name
        - courier_company_id
        - courier_company_name
        - courier_company_image_url
        - awb_no
        - shipping_label_url
        - eta_delivery
        - estimated_delivery_date
        - promised_delivery_date
        - shipped_date
        - delivered_date
        - returned_date
        - fulfillment_type
        - slo
        - cancellation_reason
        - customer_id
        - customer_name
        - shipping_address_line1
        - shipping_address_line2
        - shipping_landmark
        - shipping_pincode
        - shipping_city
        - shipping_state
        - created_at
        - modified_at
      properties:
        order_number:
          type: string
        order_status:
          type: string
        shipment_number:
          type: string
        warehouse_id:
          type: string
        warehouse_name:
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/ShipmentStatus'
        total_weight:
          type: number
        total_boxes:
          type:
            - integer
            - 'null'
        shipment_items_count:
          type: integer
        shipping_estimated_cost:
          type: number
          format: double
        shipping_discount_amount:
          type: number
          format: double
        shipping_amount:
          type: number
          format: double
        shipping_tax_rate:
          type: number
          format: double
        shipping_tax_amount:
          type: number
          format: double
        shipping_amount_including_tax:
          type: number
          format: double
        shipping_provider_id:
          type:
            - string
            - 'null'
        shipping_provider_name:
          type:
            - string
            - 'null'
        courier_company_id:
          type:
            - string
            - 'null'
        courier_company_name:
          type:
            - string
            - 'null'
        courier_company_image_url:
          type:
            - string
            - 'null'
        awb_no:
          type:
            - string
            - 'null'
        shipping_label_url:
          type:
            - string
            - 'null'
        eta_delivery:
          type:
            - string
            - 'null'
        estimated_delivery_date:
          type:
            - string
            - 'null'
        promised_delivery_date:
          type:
            - string
            - 'null'
        out_for_delivery_date:
          type:
            - string
            - 'null'
        shipped_date:
          type:
            - string
            - 'null'
        delivered_date:
          type:
            - string
            - 'null'
        returned_date:
          type:
            - string
            - 'null'
        fulfillment_type:
          enum:
            - delivery
            - collect-in-store
        slo:
          type:
            - object
            - 'null'
          properties:
            expected_date:
              type: string
              format: datetime
            actual_date:
              type: string
              format: datetime
            difference:
              type: number
            slo_status:
              enum:
                - on-time
                - delay
                - early
        cancellation_reason:
          type:
            - string
            - 'null'
        customer_id:
          type: string
        customer_name:
          type: string
        billing_business_name:
          description: >-
            Business name on the billing address. `null` for B2C orders placed
            without business details.
          type:
            - string
            - 'null'
        shipping_address_line1:
          type: string
        shipping_address_line2:
          type:
            - string
            - 'null'
        shipping_landmark:
          type:
            - string
            - 'null'
        shipping_pincode:
          type: string
        shipping_city:
          type: string
        shipping_state:
          type: string
        created_at:
          type: string
        modified_at:
          type: string
      x-tags:
        - Shipping
    AdminShipmentItem:
      title: ShipmentItem
      description: Shipment item model
      type: object
      required:
        - product_id
        - variant_id
        - quantity
      properties:
        product_id:
          type: string
        product_name:
          type: string
          readOnly: true
        variant_id:
          description: '`null` for products without variants.'
          type:
            - string
            - 'null'
        variant_name:
          type:
            - string
            - 'null'
          readOnly: true
        product_image_url:
          type:
            - string
            - 'null'
          readOnly: true
        sku:
          type: string
          readOnly: true
        quantity:
          type: integer
        free_quantity:
          type: integer
        is_free_item:
          type: boolean
          readOnly: true
        selling_price:
          type: number
          format: double
        selling_price_excluding_tax:
          type: number
          format: double
          readOnly: true
    ShipmentPackaging:
      title: ShipmentPackaging
      type: object
      properties:
        package_option:
          enum:
            - Automatic
            - Custom
        boxes_count:
          type: integer
        boxes:
          type: array
          items:
            $ref: '#/components/schemas/ShipmentBox'
      x-tags:
        - Shipping
    ShipmentProgression:
      title: ShipmentProgression
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ShipmentStatus'
        is_current:
          type: boolean
          readOnly: true
        is_completed:
          type: boolean
          readOnly: true
        completion_date:
          type:
            - string
            - 'null'
          format: date-time
      x-tags:
        - Shipping
    ShipmentStatus:
      enum:
        - unscheduled
        - schedule_requested
        - scheduled
        - packed
        - created
        - shipped
        - in_transit
        - out_for_delivery
        - delivery_attempted
        - undelivered
        - return_to_origin
        - delivered
        - cancelled
        - lost
        - sent_to_store
        - processing
        - ready_to_collect
        - store_rejected
    ShipmentBox:
      title: ShipmentBox
      type: object
      properties:
        box_name:
          type: string
        box_length:
          type: number
        box_width:
          type: number
        box_height:
          type: number
        box_weight:
          type: number
        items_count:
          type:
            - integer
            - 'null'
        box_count:
          type:
            - integer
            - 'null'
      x-tags:
        - Shipping
  securitySchemes:
    Authorization:
      type: http
      description: Access token
      scheme: bearer

````